Bug 111332 - Long running application causes assert in amdgpu_bo.c 'bo->cpu_map_count > 0' failed
Summary: Long running application causes assert in amdgpu_bo.c 'bo->cpu_map_count > 0...
Status: RESOLVED MOVED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/radeonsi (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium major
Assignee: Default DRI bug account
QA Contact: Default DRI bug account
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-08 15:27 UTC by Todd
Modified: 2019-09-25 18:50 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Todd 2019-08-08 15:27:48 UTC
We have an OpenGL application that runs 24/7. After 4-5 days the application quits with this error in the syslog.

../amdgpu/amdgpu_bo.c:443: amdgpu_bo_cpu_map: Assertion `bo->cpu_map_count > 0' failed.

The system is running
Debian 10 buster (kernel 4.19.0)
libdrm 2.4.99 built from source (gitlab.freedesktop.org)

There seems to be a patch to fix this problem here
https://patchwork.freedesktop.org/patch/258005/

But there has been no activity on this patch in a while and it has not been merged.

I will start a test of this patch and will verify if it works for me, but it will take 5 days to confirm.

Any chance of getting this patch merged?

Thanks,
Todd
Comment 1 Michel Dänzer 2019-08-09 08:47:52 UTC
(In reply to Todd from comment #0)
> There seems to be a patch to fix this problem here
> https://patchwork.freedesktop.org/patch/258005/

As discussed there, this is a Mesa issue and should be addressed there.
Comment 2 Todd 2019-08-21 19:59:04 UTC
I can't comment on where the fix should be, but

1. This does not happen on a radeon based system

2. With the patch applied to the amdgpu code the application has been running for over 7 days now with no issues.
Comment 3 GitLab Migration User 2019-09-25 18:50:32 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/mesa/mesa/issues/1423.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.